Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Aspect Table

Explore the Composite Aspect Table API, which provides the complete set of interplanetary aspects between two individuals' charts and their composite chart. This API reveals detailed angular relationships and helps interpret compatibility, tension, and harmony in astrological synastry analysis.


Step by Step Planetary Positions API Postman Testing Integration

Support Article Link


Support Article URL - https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language

CodeLanguage
enEnglish
hiHindi
ptPortuguese
frFrench
deGerman
jaJapanese
trTurkish
ruRussian
itItalian
esSpanish
nlDutch
plPolish

Guide: These languages are supported by this API. You can use by passing "lan" in body with a value of the language.


Endpoint

POST  https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-table

Returns Aspect Table in response.


Headers

NameTypeDescription
Authorization*Stringyour API Access Tokeneg: Bearer {token}

Request Body

NameTypeDescription
api_key*Stringyour API key
p1_full_name*StringP1's Full Name, ex: Rahul Kumar
p1_day*IntegerP1's date of birth, eg: 24
p1_month*IntegerP1's month of birth, eg: 05
p1_year*IntegerP1's year of birth, eg: 1998
p1_hour*IntegerP1's hour, eg: 14
p1_min*IntegerP1's minute, eg: 40
p1_sec*IntegerP1's second, eg 43
p1_gender*StringP1's gender, ex: male
p1_place*StringP1's birth place, ex: New Delhi
p1_lat*FloatP1's latitude, eg: 28.7041
p1_lon*FloatP1's longitude, eg: 77.1025
p1_tzone*FloatP1's timezone, eg: 5.5 Timezone List
p2_full_name*StringP2's Full Name, ex: Simran Kumari
p2_day*IntegerP2's date of birth, eg: 24
p2_month*IntegerP2's month of birth, eg: 05
p2_year*IntegerP2's year of birth, eg: 1998
p2_hour*IntegerP2's hour, eg: 14
p2_min*IntegerP2's minute, eg: 40
p2_sec*IntegerP2's second, eg 43
p2_gender*StringP2's gender, ex: female
p2_place*StringP2's birth place, ex: New Delhi
p2_lat*FloatP2's latitude, eg: 28.7041
p2_lon*FloatP2's longitude, eg: 77.1025
p2_tzone*FloatP2's timezone, eg: 5.5 Timezone List
lanStringLanguage en/hi, default en
house_systemStringHouse system code, default - P (Placidus)
node_typeStringmeannode or truenode (default: meannode)

200: OK Aspect Table fetched successfully

{
    "status": "success",
    "code": 200,
    "message": "Request successful",
    "data": {
        "p1_p2_aspect": [
            {
                "planetOne": "Sun",
                "planetTwo": "Sun",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Venus",
                "orb": 0.5,
                "aspect": "Novile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Mars",
                "orb": 2.85,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Jupiter",
                "orb": 2.59,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Saturn",
                "orb": 4.68,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Neptune",
                "orb": 0.95,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Pluto",
                "orb": 3.79,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Ascendant",
                "orb": 2.76,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "North node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "South node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Moon",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Mercury",
                "orb": 1.72,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Jupiter",
                "orb": 4.5,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Uranus",
                "orb": 0.38,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Pluto",
                "orb": 6.3,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Ascendant",
                "orb": 1.33,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Chiron",
                "orb": 1.18,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "North node",
                "orb": 6.97,
                "aspect": "Trine"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "South node",
                "orb": 6.97,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Moon",
                "orb": 1.72,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Mercury",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Jupiter",
                "orb": 6.22,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Uranus",
                "orb": 2.09,
                "aspect": "Square"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Ascendant",
                "orb": 5.95,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Chiron",
                "orb": 0.53,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "South node",
                "orb": 3.31,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Sun",
                "orb": 0.5,
                "aspect": "Novile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Venus",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Mars",
                "orb": 6.66,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Jupiter",
                "orb": 0.09,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Saturn",
                "orb": 4.82,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Uranus",
                "orb": 1.22,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Pluto",
                "orb": 1.71,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "North node",
                "orb": 2.37,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "South node",
                "orb": 2.37,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Sun",
                "orb": 2.85,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Venus",
                "orb": 6.66,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Mars",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Jupiter",
                "orb": 6.57,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Saturn",
                "orb": 1.84,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Neptune",
                "orb": 1.9,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Ascendant",
                "orb": 5.6,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "North node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "South node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Sun",
                "orb": 2.59,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Moon",
                "orb": 4.5,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Mercury",
                "orb": 6.22,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Venus",
                "orb": 0.09,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Mars",
                "orb": 6.57,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Jupiter",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Saturn",
                "orb": 4.73,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Uranus",
                "orb": 0.87,
                "aspect": "Novile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Neptune",
                "orb": 0.11,
                "aspect": "Septile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Sun",
                "orb": 4.68,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Venus",
                "orb": 4.82,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Mars",
                "orb": 1.84,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Jupiter",
                "orb": 4.73,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Saturn",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Uranus",
                "orb": 3.6,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Neptune",
                "orb": 3.73,
                "aspect": "Square"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Pluto",
                "orb": 2.47,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "South node",
                "orb": 0.76,
                "aspect": "Septile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Moon",
                "orb": 0.38,
                "aspect": "Square"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Mercury",
                "orb": 2.09,
                "aspect": "Square"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Venus",
                "orb": 1.22,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Jupiter",
                "orb": 0.87,
                "aspect": "Novile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Saturn",
                "orb": 3.6,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Uranus",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Chiron",
                "orb": 1.56,
                "aspect": "Square"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Sun",
                "orb": 0.95,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Mars",
                "orb": 1.9,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Jupiter",
                "orb": 0.11,
                "aspect": "Septile"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Saturn",
                "orb": 3.73,
                "aspect": "Square"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Neptune",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Pluto",
                "orb": 3.83,
                "aspect": "Septile"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Ascendant",
                "orb": 3.71,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "North node",
                "orb": 1.93,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Sun",
                "orb": 3.79,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Moon",
                "orb": 6.3,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Venus",
                "orb": 1.71,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Saturn",
                "orb": 2.47,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Neptune",
                "orb": 3.83,
                "aspect": "Septile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Pluto",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Ascendant",
                "orb": 1.03,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "North node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "South node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Sun",
                "orb": 2.76,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Moon",
                "orb": 1.33,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Mercury",
                "orb": 5.95,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Mars",
                "orb": 5.6,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Neptune",
                "orb": 3.71,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Pluto",
                "orb": 1.03,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Ascendant",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Chiron",
                "orb": 1.48,
                "aspect": "Novile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "North node",
                "orb": 0.37,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "South node",
                "orb": 0.37,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Moon",
                "orb": 1.18,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Mercury",
                "orb": 0.53,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Uranus",
                "orb": 1.56,
                "aspect": "Square"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Ascendant",
                "orb": 1.48,
                "aspect": "Novile"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Chiron",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "North node",
                "orb": 3.85,
                "aspect": "Quintile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Sun",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Moon",
                "orb": 6.97,
                "aspect": "Trine"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Venus",
                "orb": 2.37,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Mars",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Neptune",
                "orb": 1.93,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Pluto",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Ascendant",
                "orb": 0.37,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Chiron",
                "orb": 3.85,
                "aspect": "Quintile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Sun",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Moon",
                "orb": 6.97,
                "aspect": "Sextile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Mercury",
                "orb": 3.31,
                "aspect": "Quintile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Venus",
                "orb": 2.37,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Mars",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Saturn",
                "orb": 0.76,
                "aspect": "Septile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Pluto",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Ascendant",
                "orb": 0.37,
                "aspect": "Quincunx"
            }
        ],
        "p2_p1_aspect": [
            {
                "planetOne": "Sun",
                "planetTwo": "Sun",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Venus",
                "orb": 0.5,
                "aspect": "Novile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Mars",
                "orb": 2.85,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Jupiter",
                "orb": 2.59,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Saturn",
                "orb": 4.68,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Neptune",
                "orb": 0.95,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Pluto",
                "orb": 3.79,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Ascendant",
                "orb": 2.76,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "North node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "South node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Moon",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Mercury",
                "orb": 1.72,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Jupiter",
                "orb": 4.5,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Uranus",
                "orb": 0.38,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Pluto",
                "orb": 6.3,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Ascendant",
                "orb": 1.33,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Chiron",
                "orb": 1.18,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "North node",
                "orb": 6.97,
                "aspect": "Trine"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "South node",
                "orb": 6.97,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Moon",
                "orb": 1.72,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Mercury",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Jupiter",
                "orb": 6.22,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Uranus",
                "orb": 2.09,
                "aspect": "Square"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Ascendant",
                "orb": 5.95,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Chiron",
                "orb": 0.53,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "South node",
                "orb": 3.31,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Sun",
                "orb": 0.5,
                "aspect": "Novile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Venus",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Mars",
                "orb": 6.66,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Jupiter",
                "orb": 0.09,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Saturn",
                "orb": 4.82,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Uranus",
                "orb": 1.22,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Pluto",
                "orb": 1.71,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "North node",
                "orb": 2.37,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "South node",
                "orb": 2.37,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Sun",
                "orb": 2.85,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Venus",
                "orb": 6.66,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Mars",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Jupiter",
                "orb": 6.57,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Saturn",
                "orb": 1.84,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Neptune",
                "orb": 1.9,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Ascendant",
                "orb": 5.6,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "North node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "South node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Sun",
                "orb": 2.59,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Moon",
                "orb": 4.5,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Mercury",
                "orb": 6.22,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Venus",
                "orb": 0.09,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Mars",
                "orb": 6.57,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Jupiter",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Saturn",
                "orb": 4.73,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Uranus",
                "orb": 0.87,
                "aspect": "Novile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Neptune",
                "orb": 0.11,
                "aspect": "Septile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Sun",
                "orb": 4.68,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Venus",
                "orb": 4.82,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Mars",
                "orb": 1.84,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Jupiter",
                "orb": 4.73,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Saturn",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Uranus",
                "orb": 3.6,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Neptune",
                "orb": 3.73,
                "aspect": "Square"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Pluto",
                "orb": 2.47,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "South node",
                "orb": 0.76,
                "aspect": "Septile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Moon",
                "orb": 0.38,
                "aspect": "Square"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Mercury",
                "orb": 2.09,
                "aspect": "Square"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Venus",
                "orb": 1.22,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Jupiter",
                "orb": 0.87,
                "aspect": "Novile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Saturn",
                "orb": 3.6,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Uranus",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Chiron",
                "orb": 1.56,
                "aspect": "Square"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Sun",
                "orb": 0.95,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Mars",
                "orb": 1.9,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Jupiter",
                "orb": 0.11,
                "aspect": "Septile"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Saturn",
                "orb": 3.73,
                "aspect": "Square"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Neptune",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Pluto",
                "orb": 3.83,
                "aspect": "Septile"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Ascendant",
                "orb": 3.71,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "North node",
                "orb": 1.93,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Sun",
                "orb": 3.79,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Moon",
                "orb": 6.3,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Venus",
                "orb": 1.71,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Saturn",
                "orb": 2.47,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Neptune",
                "orb": 3.83,
                "aspect": "Septile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Pluto",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Ascendant",
                "orb": 1.03,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "North node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "South node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Sun",
                "orb": 2.76,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Moon",
                "orb": 1.33,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Mercury",
                "orb": 5.95,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Mars",
                "orb": 5.6,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Neptune",
                "orb": 3.71,
                "aspect": "Trine"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Pluto",
                "orb": 1.03,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Ascendant",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Chiron",
                "orb": 1.48,
                "aspect": "Novile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "North node",
                "orb": 0.37,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "South node",
                "orb": 0.37,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Moon",
                "orb": 1.18,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Mercury",
                "orb": 0.53,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Uranus",
                "orb": 1.56,
                "aspect": "Square"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Ascendant",
                "orb": 1.48,
                "aspect": "Novile"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "Chiron",
                "orb": 0,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "North node",
                "orb": 3.85,
                "aspect": "Quintile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Sun",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Moon",
                "orb": 6.97,
                "aspect": "Trine"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Venus",
                "orb": 2.37,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Mars",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Neptune",
                "orb": 1.93,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Pluto",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Ascendant",
                "orb": 0.37,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "North node",
                "planetTwo": "Chiron",
                "orb": 3.85,
                "aspect": "Quintile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Sun",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Moon",
                "orb": 6.97,
                "aspect": "Sextile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Mercury",
                "orb": 3.31,
                "aspect": "Quintile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Venus",
                "orb": 2.37,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Mars",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Saturn",
                "orb": 0.76,
                "aspect": "Septile"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Pluto",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "South node",
                "planetTwo": "Ascendant",
                "orb": 0.37,
                "aspect": "Quincunx"
            }
        ],
        "composite_aspects": [
            {
                "planetOne": "Sun",
                "planetTwo": "Venus",
                "orb": 0.5,
                "aspect": "Novile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Mars",
                "orb": 2.85,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Jupiter",
                "orb": 2.59,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Saturn",
                "orb": 4.68,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Neptune",
                "orb": 0.95,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Pluto",
                "orb": 3.79,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "Ascendant",
                "orb": 2.76,
                "aspect": "Trine"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "North node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Sun",
                "planetTwo": "South node",
                "orb": 3.12,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Mercury",
                "orb": 1.72,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Jupiter",
                "orb": 4.5,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Uranus",
                "orb": 0.38,
                "aspect": "Square"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Pluto",
                "orb": 6.3,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Ascendant",
                "orb": 1.33,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "Chiron",
                "orb": 1.18,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "North node",
                "orb": 6.97,
                "aspect": "Trine"
            },
            {
                "planetOne": "Moon",
                "planetTwo": "South node",
                "orb": 6.97,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Jupiter",
                "orb": 6.22,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Uranus",
                "orb": 2.09,
                "aspect": "Square"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Ascendant",
                "orb": 5.95,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "Chiron",
                "orb": 0.53,
                "aspect": "Opposition"
            },
            {
                "planetOne": "Mercury",
                "planetTwo": "South node",
                "orb": 3.31,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Mars",
                "orb": 6.66,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Jupiter",
                "orb": 0.09,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Saturn",
                "orb": 4.82,
                "aspect": "Conjunction"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Uranus",
                "orb": 1.22,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "Pluto",
                "orb": 1.71,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "North node",
                "orb": 2.37,
                "aspect": "Sesquiquadrate"
            },
            {
                "planetOne": "Venus",
                "planetTwo": "South node",
                "orb": 2.37,
                "aspect": "Semisquare"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Jupiter",
                "orb": 6.57,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Saturn",
                "orb": 1.84,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Neptune",
                "orb": 1.9,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "Ascendant",
                "orb": 5.6,
                "aspect": "Trine"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "North node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Mars",
                "planetTwo": "South node",
                "orb": 5.97,
                "aspect": "Square"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Saturn",
                "orb": 4.73,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Uranus",
                "orb": 0.87,
                "aspect": "Novile"
            },
            {
                "planetOne": "Jupiter",
                "planetTwo": "Neptune",
                "orb": 0.11,
                "aspect": "Septile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Uranus",
                "orb": 3.6,
                "aspect": "Quintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Neptune",
                "orb": 3.73,
                "aspect": "Square"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "Pluto",
                "orb": 2.47,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Saturn",
                "planetTwo": "South node",
                "orb": 0.76,
                "aspect": "Septile"
            },
            {
                "planetOne": "Uranus",
                "planetTwo": "Chiron",
                "orb": 1.56,
                "aspect": "Square"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Pluto",
                "orb": 3.83,
                "aspect": "Septile"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "Ascendant",
                "orb": 3.71,
                "aspect": "Trine"
            },
            {
                "planetOne": "Neptune",
                "planetTwo": "North node",
                "orb": 1.93,
                "aspect": "Biquintile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "Ascendant",
                "orb": 1.03,
                "aspect": "Sextile"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "North node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Pluto",
                "planetTwo": "South node",
                "orb": 0.67,
                "aspect": "Square"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "Chiron",
                "orb": 1.48,
                "aspect": "Novile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "North node",
                "orb": 0.37,
                "aspect": "Semisextile"
            },
            {
                "planetOne": "Ascendant",
                "planetTwo": "South node",
                "orb": 0.37,
                "aspect": "Quincunx"
            },
            {
                "planetOne": "Chiron",
                "planetTwo": "North node",
                "orb": 3.85,
                "aspect": "Quintile"
            }
        ]
    }
}  

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'p1_full_name="Rahul Kumar"' \
--form 'p1_day="24"' \
--form 'p1_month="05"' \
--form 'p1_year="1998"' \
--form 'p1_hour="14"' \
--form 'p1_min="40"' \
--form 'p1_sec="43"' \
--form 'p1_gender="male"' \
--form 'p1_place="New Delhi"' \
--form 'p1_lat="28.7041"' \
--form 'p1_lon="77.1025"' \
--form 'p1_tzone="5.5"' \
--form 'p2_full_name="Simran Kumari"' \
--form 'p2_day="24"' \
--form 'p2_month="05"' \
--form 'p2_year="1998"' \
--form 'p2_hour="14"' \
--form 'p2_min="40"' \
--form 'p2_sec="43"' \
--form 'p2_gender="female"' \
--form 'p2_place="New Delhi"' \
--form 'p2_lat="28.7041"' \
--form 'p2_lon="77.1025"' \
--form 'p2_tzone="5.5"' \
--form 'lan="en"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-table',
  'headers': {
    'Authorization': 'Bearer {Your Auth Token}'
  },
  formData: {
    'api_key': '{Your API Key}',
    'p1_full_name': 'Rahul Kumar',
    'p1_day': '24',
    'p1_month': '05',
    'p1_year': '1998',
    'p1_hour': '14',
    'p1_min': '40',
    'p1_sec': '43',
    'p1_gender': 'male',
    'p1_place': 'New Delhi',
    'p1_lat': '28.7041',
    'p1_lon': '77.1025',
    'p1_tzone': '5.5',
    'p2_full_name': 'Simran Kumari',
    'p2_day': '24',
    'p2_month': '05',
    'p2_year': '1998',
    'p2_hour': '14',
    'p2_min': '40',
    'p2_sec': '43',
    'p2_gender': 'female',
    'p2_place': 'New Delhi',
    'p2_lat': '28.7041',
    'p2_lon': '77.1025',
    'p2_tzone': '5.5',
    'lan': 'en'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript jQuery AJAX

var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("p1_full_name", "Rahul Kumar");
form.append("p1_day", "24");
form.append("p1_month", "05");
form.append("p1_year", "1998");
form.append("p1_hour", "14");
form.append("p1_min", "40");
form.append("p1_sec", "43");
form.append("p1_gender", "male");
form.append("p1_place", "New Delhi");
form.append("p1_lat", "28.7041");
form.append("p1_lon", "77.1025");
form.append("p1_tzone", "5.5");
form.append("p2_full_name", "Simran Kumari");
form.append("p2_day", "24");
form.append("p2_month", "05");
form.append("p2_year", "1998");
form.append("p2_hour", "14");
form.append("p2_min", "40");
form.append("p2_sec", "43");
form.append("p2_gender", "female");
form.append("p2_place", "New Delhi");
form.append("p2_lat", "28.7041");
form.append("p2_lon", "77.1025");
form.append("p2_tzone", "5.5");
form.append("lan", "en");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-table",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {Your Auth Token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-table"

payload = {'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'}

headers = {
  'Authorization': 'Bearer {Your Auth Token}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)


Implementation Notes

Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.

Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).

Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.

Defaults are lan=en and house_system=P; test via Postman first and always use HTTPS for secure communication.

Example Code
curl -X POST "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions" \
  -H "Authorization: Bearer {Your Auth Token}" \
  --form 'api_key="{Your API Key}"' \
  --form 'p1_full_name="Rahul Kumar"' \
  --form 'p1_day="24"' \
  --form 'p1_month="05"' \
  --form 'p1_year="1998"' \
  --form 'p1_hour="14"' \
  --form 'p1_min="40"' \
  --form 'p1_sec="43"' \
  --form 'p1_gender="male"' \
  --form 'p1_place="New Delhi"' \
  --form 'p1_lat="28.7041"' \
  --form 'p1_lon="77.1025"' \
  --form 'p1_tzone="5.5"' \
  --form 'p2_full_name="Simran Kumari"' \
  --form 'p2_day="24"' \
  --form 'p2_month="05"' \
  --form 'p2_year="1998"' \
  --form 'p2_hour="14"' \
  --form 'p2_min="40"' \
  --form 'p2_sec="43"' \
  --form 'p2_gender="female"' \
  --form 'p2_place="New Delhi"' \
  --form 'p2_lat="28.7041"' \
  --form 'p2_lon="77.1025"' \
  --form 'p2_tzone="5.5"' \
  --form 'lan="en"'
const FormData = require('form-data');
const axios = require('axios');

const form = new FormData();
form.append('api_key', '{Your API Key}');
form.append('p1_full_name', 'Rahul Kumar');
form.append('p1_day', '24');
form.append('p1_month', '05');
form.append('p1_year', '1998');
form.append('p1_hour', '14');
form.append('p1_min', '40');
form.append('p1_sec', '43');
form.append('p1_gender', 'male');
form.append('p1_place', 'New Delhi');
form.append('p1_lat', '28.7041');
form.append('p1_lon', '77.1025');
form.append('p1_tzone', '5.5');
form.append('p2_full_name', 'Simran Kumari');
form.append('p2_day', '24');
form.append('p2_month', '05');
form.append('p2_year', '1998');
form.append('p2_hour', '14');
form.append('p2_min', '40');
form.append('p2_sec', '43');
form.append('p2_gender', 'female');
form.append('p2_place', 'New Delhi');
form.append('p2_lat', '28.7041');
form.append('p2_lon', '77.1025');
form.append('p2_tzone', '5.5');
form.append('lan', 'en');

const response = await axios.post('https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions', form, {
  headers: {
    ...form.getHeaders(),
    'Authorization': 'Bearer {Your Auth Token}',
  }
});

console.log(response.data);
import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions"
headers = {
    "Authorization": "Bearer {Your Auth Token}",
}
payload = {
    "api_key": "{Your API Key}",
    "p1_full_name": "Rahul Kumar",
    "p1_day": "24",
    "p1_month": "05",
    "p1_year": "1998",
    "p1_hour": "14",
    "p1_min": "40",
    "p1_sec": "43",
    "p1_gender": "male",
    "p1_place": "New Delhi",
    "p1_lat": "28.7041",
    "p1_lon": "77.1025",
    "p1_tzone": "5.5",
    "p2_full_name": "Simran Kumari",
    "p2_day": "24",
    "p2_month": "05",
    "p2_year": "1998",
    "p2_hour": "14",
    "p2_min": "40",
    "p2_sec": "43",
    "p2_gender": "female",
    "p2_place": "New Delhi",
    "p2_lat": "28.7041",
    "p2_lon": "77.1025",
    "p2_tzone": "5.5",
    "lan": "en",
}

response = requests.post(url, headers=headers, data=payload)

print(response.json())
const formData = new FormData();
formData.append('api_key', '{Your API Key}');
formData.append('p1_full_name', 'Rahul Kumar');
formData.append('p1_day', '24');
formData.append('p1_month', '05');
formData.append('p1_year', '1998');
formData.append('p1_hour', '14');
formData.append('p1_min', '40');
formData.append('p1_sec', '43');
formData.append('p1_gender', 'male');
formData.append('p1_place', 'New Delhi');
formData.append('p1_lat', '28.7041');
formData.append('p1_lon', '77.1025');
formData.append('p1_tzone', '5.5');
formData.append('p2_full_name', 'Simran Kumari');
formData.append('p2_day', '24');
formData.append('p2_month', '05');
formData.append('p2_year', '1998');
formData.append('p2_hour', '14');
formData.append('p2_min', '40');
formData.append('p2_sec', '43');
formData.append('p2_gender', 'female');
formData.append('p2_place', 'New Delhi');
formData.append('p2_lat', '28.7041');
formData.append('p2_lon', '77.1025');
formData.append('p2_tzone', '5.5');
formData.append('lan', 'en');

const response = await fetch('https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions', {
  method: 'POST',
  headers: {
      'Authorization': "Bearer {Your Auth Token}",
    },
  body: formData,
});

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions', [
    'headers' => [
        'Authorization' => 'Bearer {Your Auth Token}',
    ],
    'multipart' => [
        ['name' => 'api_key', 'contents' => '{Your API Key}'],
        ['name' => 'p1_full_name', 'contents' => 'Rahul Kumar'],
        ['name' => 'p1_day', 'contents' => '24'],
        ['name' => 'p1_month', 'contents' => '05'],
        ['name' => 'p1_year', 'contents' => '1998'],
        ['name' => 'p1_hour', 'contents' => '14'],
        ['name' => 'p1_min', 'contents' => '40'],
        ['name' => 'p1_sec', 'contents' => '43'],
        ['name' => 'p1_gender', 'contents' => 'male'],
        ['name' => 'p1_place', 'contents' => 'New Delhi'],
        ['name' => 'p1_lat', 'contents' => '28.7041'],
        ['name' => 'p1_lon', 'contents' => '77.1025'],
        ['name' => 'p1_tzone', 'contents' => '5.5'],
        ['name' => 'p2_full_name', 'contents' => 'Simran Kumari'],
        ['name' => 'p2_day', 'contents' => '24'],
        ['name' => 'p2_month', 'contents' => '05'],
        ['name' => 'p2_year', 'contents' => '1998'],
        ['name' => 'p2_hour', 'contents' => '14'],
        ['name' => 'p2_min', 'contents' => '40'],
        ['name' => 'p2_sec', 'contents' => '43'],
        ['name' => 'p2_gender', 'contents' => 'female'],
        ['name' => 'p2_place', 'contents' => 'New Delhi'],
        ['name' => 'p2_lat', 'contents' => '28.7041'],
        ['name' => 'p2_lon', 'contents' => '77.1025'],
        ['name' => 'p2_tzone', 'contents' => '5.5'],
        ['name' => 'lan', 'contents' => 'en'],
    ],
]);

echo $response->getBody();
package main

import (
    "bytes"
    "fmt"
    "mime/multipart"
    "net/http"
    "io"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)
    writer.WriteField("api_key", "{Your API Key}")
    writer.WriteField("p1_full_name", "Rahul Kumar")
    writer.WriteField("p1_day", "24")
    writer.WriteField("p1_month", "05")
    writer.WriteField("p1_year", "1998")
    writer.WriteField("p1_hour", "14")
    writer.WriteField("p1_min", "40")
    writer.WriteField("p1_sec", "43")
    writer.WriteField("p1_gender", "male")
    writer.WriteField("p1_place", "New Delhi")
    writer.WriteField("p1_lat", "28.7041")
    writer.WriteField("p1_lon", "77.1025")
    writer.WriteField("p1_tzone", "5.5")
    writer.WriteField("p2_full_name", "Simran Kumari")
    writer.WriteField("p2_day", "24")
    writer.WriteField("p2_month", "05")
    writer.WriteField("p2_year", "1998")
    writer.WriteField("p2_hour", "14")
    writer.WriteField("p2_min", "40")
    writer.WriteField("p2_sec", "43")
    writer.WriteField("p2_gender", "female")
    writer.WriteField("p2_place", "New Delhi")
    writer.WriteField("p2_lat", "28.7041")
    writer.WriteField("p2_lon", "77.1025")
    writer.WriteField("p2_tzone", "5.5")
    writer.WriteField("lan", "en")
    writer.Close()

    req, _ := http.NewRequest("POST", "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions", body)
    req.Header.Set("Content-Type", writer.FormDataContentType())
    req.Header.Set("Authorization", "Bearer {Your Auth Token}")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = new MultipartBody.Builder()
            .setType(MultipartBody.FORM)
            .addFormDataPart("api_key", "{Your API Key}")
            .addFormDataPart("p1_full_name", "Rahul Kumar")
            .addFormDataPart("p1_day", "24")
            .addFormDataPart("p1_month", "05")
            .addFormDataPart("p1_year", "1998")
            .addFormDataPart("p1_hour", "14")
            .addFormDataPart("p1_min", "40")
            .addFormDataPart("p1_sec", "43")
            .addFormDataPart("p1_gender", "male")
            .addFormDataPart("p1_place", "New Delhi")
            .addFormDataPart("p1_lat", "28.7041")
            .addFormDataPart("p1_lon", "77.1025")
            .addFormDataPart("p1_tzone", "5.5")
            .addFormDataPart("p2_full_name", "Simran Kumari")
            .addFormDataPart("p2_day", "24")
            .addFormDataPart("p2_month", "05")
            .addFormDataPart("p2_year", "1998")
            .addFormDataPart("p2_hour", "14")
            .addFormDataPart("p2_min", "40")
            .addFormDataPart("p2_sec", "43")
            .addFormDataPart("p2_gender", "female")
            .addFormDataPart("p2_place", "New Delhi")
            .addFormDataPart("p2_lat", "28.7041")
            .addFormDataPart("p2_lon", "77.1025")
            .addFormDataPart("p2_tzone", "5.5")
            .addFormDataPart("lan", "en")
            .build();

        Request request = new Request.Builder()
            .url("https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions")
            .post(body)
            .addHeader("Authorization", "Bearer {Your Auth Token}")
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer {Your Auth Token}", forHTTPHeaderField: "Authorization")

let boundary = "Boundary-\(UUID().uuidString)"
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var bodyData = Data()
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"api_key\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("{Your API Key}\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Rahul Kumar\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("24\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("05\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("1998\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("14\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("40\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("43\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("male\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p1_tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Simran Kumari\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("24\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("05\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("1998\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("14\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("40\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("43\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("female\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"p2_tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lan\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("en\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = bodyData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("api_key", "{Your API Key}")
        .addFormDataPart("p1_full_name", "Rahul Kumar")
        .addFormDataPart("p1_day", "24")
        .addFormDataPart("p1_month", "05")
        .addFormDataPart("p1_year", "1998")
        .addFormDataPart("p1_hour", "14")
        .addFormDataPart("p1_min", "40")
        .addFormDataPart("p1_sec", "43")
        .addFormDataPart("p1_gender", "male")
        .addFormDataPart("p1_place", "New Delhi")
        .addFormDataPart("p1_lat", "28.7041")
        .addFormDataPart("p1_lon", "77.1025")
        .addFormDataPart("p1_tzone", "5.5")
        .addFormDataPart("p2_full_name", "Simran Kumari")
        .addFormDataPart("p2_day", "24")
        .addFormDataPart("p2_month", "05")
        .addFormDataPart("p2_year", "1998")
        .addFormDataPart("p2_hour", "14")
        .addFormDataPart("p2_min", "40")
        .addFormDataPart("p2_sec", "43")
        .addFormDataPart("p2_gender", "female")
        .addFormDataPart("p2_place", "New Delhi")
        .addFormDataPart("p2_lat", "28.7041")
        .addFormDataPart("p2_lon", "77.1025")
        .addFormDataPart("p2_tzone", "5.5")
        .addFormDataPart("lan", "en")
        .build()

    val request = Request.Builder()
        .url("https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions")
        .post(body!!)
        .addHeader("Authorization", "Bearer {Your Auth Token}")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer {Your Auth Token}");

        var content = new MultipartFormDataContent();
        content.Add(new StringContent("{Your API Key}"), "api_key");
        content.Add(new StringContent("Rahul Kumar"), "p1_full_name");
        content.Add(new StringContent("24"), "p1_day");
        content.Add(new StringContent("05"), "p1_month");
        content.Add(new StringContent("1998"), "p1_year");
        content.Add(new StringContent("14"), "p1_hour");
        content.Add(new StringContent("40"), "p1_min");
        content.Add(new StringContent("43"), "p1_sec");
        content.Add(new StringContent("male"), "p1_gender");
        content.Add(new StringContent("New Delhi"), "p1_place");
        content.Add(new StringContent("28.7041"), "p1_lat");
        content.Add(new StringContent("77.1025"), "p1_lon");
        content.Add(new StringContent("5.5"), "p1_tzone");
        content.Add(new StringContent("Simran Kumari"), "p2_full_name");
        content.Add(new StringContent("24"), "p2_day");
        content.Add(new StringContent("05"), "p2_month");
        content.Add(new StringContent("1998"), "p2_year");
        content.Add(new StringContent("14"), "p2_hour");
        content.Add(new StringContent("40"), "p2_min");
        content.Add(new StringContent("43"), "p2_sec");
        content.Add(new StringContent("female"), "p2_gender");
        content.Add(new StringContent("New Delhi"), "p2_place");
        content.Add(new StringContent("28.7041"), "p2_lat");
        content.Add(new StringContent("77.1025"), "p2_lon");
        content.Add(new StringContent("5.5"), "p2_tzone");
        content.Add(new StringContent("en"), "lan");

        var response = await client.PostAsync("https://astroapi-8.divineapi.com/western-api/v1/composite/aspect-tablepositions", content);
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}